//*************************************************************
//システム名     コア物品／発注者
//サブシステム名 発注者
/**
 * 参加資格判定機能
 * @author NEC
 * @version 1.0, 2002.07.23, 新規作成
 * @version 4.0, 2004.03.16, V4-無効通知書発行対応<BR>
 */
//*************************************************************

/* HTML読込み時の初期処理 */
function onStart() {
  /*HTMLが読み込まれた際に、初期処理用関数を呼び出す*/
  onLoad();
}//onStart

//---------------------------------------------------
// 参加資格あり変更後
// 参加資格判定機能画面表示処理
// (「変更」ボタン押下時)
// conpanyNumber: 受注者No
// setNum       : 変更する値
//---------------------------------------------------
function moveScreenHenkou( conpanyNumber, setNum) {

  document.formRegist.companyNumber.value = conpanyNumber;
  document.formRegist.licenceFlag.value   = setNum;

  dispatch( document.formRegist, 'H533HTS001' );
}//moveScreenHenkou

//---------------------------------------------------
// 調達案件一覧表示
// (「戻る」ボタン押下時)
//---------------------------------------------------
function moveScreenReturn(){
  dispatch( document.formRegist, 'H533HPD001' );
}//moveScreenReturn

//---------------------------------------------------
// 案件情報詳細表示
// (案件名称リンク押下時)
//---------------------------------------------------
function showProjectDetail()
{
  dispatchPopup( document.formRegist, 'H509HPR005' );
}//showProjectDetail


//---------------------------------------------------
// 業者詳細表示表示
// (業者名称リンク押下時)
//---------------------------------------------------
function showCompanyDetail( companyNumber )
{
  document.formRegist.companyNumber.value=companyNumber;
  dispatchPopup( document.formRegist, 'H536HTS004' );
}//showCompanyDetail


//---------------------------------------------------
// 無効通知書作成画面（開札前）表示
// (「作成」ボタン押下時)
//---------------------------------------------------
function makeInvalidityNoticeBefore( companyNumber )
{
  document.formRegist.companyNumber.value=companyNumber;

  dispatch( document.formRegist, 'H7201HAC001' );
}//makeInvalidityNoticeBefore


//---------------------------------------------------
// 無効通知書作成画面（開札前）表示
// (「表示」ボタン押下時)
//---------------------------------------------------
function showInvalidityNoticeBefore( companyNumber )
{
  document.formRegist.companyNumber.value=companyNumber;

  dispatch( document.formRegist, 'H7203HAC003' );
}//showInvalidityNoticeBefore
